Changes in version 1.47.1

    o Fix the mis-match y-axis for dandelion.plot when max score is smaller than 1.
    
Changes in version 1.45.3

    o Use yaxis to control draw or not for the interaction legend.
    
Changes in version 1.45.2

    o Fix a bug in reading mcool file.
    
Changes in version 1.45.1

    o Fix a bug in reading mcool file.
    
Changes in version 1.43.7

    o Fix a potential bug in reading sparse cool file.
    
Changes in version 1.43.6

    o Update email address.
    
Changes in version 1.43.5

    o Add line and histogram to tracktype for trackstlye.
    
Changes in version 1.43.4

    o Remove the clip for annotation track.
    
Changes in version 1.43.3

    o Add documentation to remove y label.
    
Changes in version 1.43.2

    o Make it possible to plot annotation for peak regions.
    
Changes in version 1.43.1

    o Make it possible to plot link for back2back interaction data.
    
Changes in version 1.41.10

    o Improve the plot speed for interaction data.
    
Changes in version 1.41.9

    o Add a simple gene track plot model.
    
Changes in version 1.41.8

    o Add listNormalizations function.
    
Changes in version 1.41.7

    o Fix the bug that newpage parameter not used for plotGRanges.
    
Changes in version 1.41.6

    o Add `legendPosition` parameter for lollipop plot.
    
Changes in version 1.41.5

    o Export the method `$` for trackStyle class.
    
Changes in version 1.41.4

    o Move the 3d plots to a different package.
    
Changes in version 1.41.3

    o plot lolliplot with multiple shapes in one position.
    
Changes in version 1.41.2

    o export view3dStructure function.
    
Changes in version 1.41.1

    o Add mdsPlot function.
    
Changes in version 1.39.17

    o Fix the legend with alpha for lolliplot.
    
Changes in version 1.39.16

    o Import txdbmaker.
    
Changes in version 1.39.15

    o Optimize the reduce function for loopBouquetPlot.
    
Changes in version 1.39.14

    o reduce the input for loopBouquetPlot.

Changes in version 1.39.13

    o Handle the empty input for loopBouquetPlot.
    
Changes in version 1.39.12

    o Update the safe text algorithm for loopBouquetPlot.
    
Changes in version 1.39.11

    o Add parameter safe_text_force for loopBouquetPlot.
    
Changes in version 1.39.10

    o Add color for geneTrack.
    
Changes in version 1.39.9

    o Fix multiple bugs in loopBouquetPlot.
    
Changes in version 1.39.8

    o Change loopBouquetPlot to grid plot.
    
Changes in version 1.39.7

    o Fix the example for loopBouquetPlot.
    
Changes in version 1.39.6

    o add loopBouquetPlot.
    
Changes in version 1.39.5

    o Browse heatmap by js (scratch).
    
Changes in version 1.39.4

    o Fix the issue if the first label is empty for lolliplot.
    
Changes in version 1.39.3

    o Fix the mismatch data track when change the ylim in browseTracks.
    
Changes in version 1.39.2

    o Fix the wrong plot for multiple genes track in browseTracks.
    
Changes in version 1.39.1

    o Fix the y-axis for lollipop plot.
    
Changes in version 1.37.15

    o Fix reading valid pairs typo.

Changes in version 1.37.14

    o update the lollipopPlot documentation to fix the issue
    unable to find an inherited method for function 'content' for
    signature 'response'.

Changes in version 1.37.13

    o fix the feature legend space.
    
Changes in version 1.37.12

    o add ARA function.
    o fix the missleading color legend of interaction data.
    o fix the bug in addInteractionAnnotation.
    
Changes in version 1.37.11

    o fix the minimal font of optimized style.
    
Changes in version 1.37.10

    o add function GIoperator.
    
Changes in version 1.37.9

    o add function addInteractionAnnotation for Interaction data.
    
Changes in version 1.37.8

    o change the filter condiction for tads annotation of Interaction data.
    
Changes in version 1.37.7

    o add tads annotation for Interaction data.
    
Changes in version 1.37.6

    o add lollipop_style_switch_limit for lollipop plot.
    
Changes in version 1.37.5

    o add border_color for Interaction data.

Changes in version 1.37.4

    o update the documentation for lollipopPlot for changes of the snp label.
    
Changes in version 1.37.3

    o use strawr to replace the local C++ script.
    
Changes in version 1.37.2

    o remove the CXX_STD = CXX11 from straw Makevars.

Changes in version 1.37.1

    o add stop message when there is negative values for grid.pie plot.
    
Changes in version 1.35.5

    o use straw for hic import.
    
Changes in version 1.35.4

    o handel label.parameter.draw for labels.
    
Changes in version 1.35.3

    o Add documentation for selected labels for mutations.
    
Changes in version 1.35.2

    o Add support for node label parameters.
    
Changes in version 1.35.1

    o Add support for single resolution cooler file.
    
Changes in version 1.33.8

    o Fix a bug if there is no name for the freatures.
    
Changes in version 1.33.7

    o print the more pseudocode in browseTracks.

Changes in version 1.33.6

    o Fix the bug for 'invalid color name' in browseTracks
    o print the pseudocode in browseTracks
    
Changes in version 1.33.5

    o Change the cool file open flag to "H5F_ACC_RDONLY"
    
Changes in version 1.33.4

    o Fix a issue for plot tracks by insert 0 to the first signals.
    
Changes in version 1.33.3

    o Add support for motif logo for lollipop plot.
    
Changes in version 1.33.2

    o Add support for multiple operators for viewTrack.
    
Changes in version 1.33.1

    o Fix the bug when locateScale return NA values.
    
Changes in version 1.31.4

    o Fix the issue in windows 2022.
    
Changes in version 1.31.2

    o Handle the issue with long tail.
    
Changes in version 1.31.1

    o Move the heatmap legend to yaxis.
    
Changes in version 1.29.8

    o Fix the a typo in read hic data.
    
Changes in version 1.29.7

    o Fix the bug 'breaks' are not unique
    
Changes in version 1.29.6

    o Add smooth curve to the tracks.
    
Changes in version 1.29.5

    o Improve gene track plots.
    
Changes in version 1.29.4

    o Fix the issue for auto-rescale lolliplot by emphasizing exon region 
    when there are continues exons.
    
Changes in version 1.29.3

    o Add the possibility to lolliplot to emphasize exon or intron region.
    
Changes in version 1.29.2

    o Fix the yaxis when user supplied yaxis is greater than max scores.
    
Changes in version 1.29.1

    o Update documentation lolliplot for rescale parameter.
    
Changes in version 1.27.15

    o Update documentation of geneModelFromTxdb
    
Changes in version 1.27.14

    o Add rmarkdown into Suggests
    o update importScSeqScore.
    
Changes in version 1.27.13

    o Fix the size by number when read from file.
    
Changes in version 1.27.12

    o add decontructor to hic.cpp.
    
Changes in version 1.27.10

    o split the vignette to multiple files.
    
Changes in version 1.27.9

    o plot back to back Interaction Data Track

Changes in version 1.27.8

    o fix the typo in hic.cpp 
    
Changes in version 1.27.7

    o figure out the error in dyn.load trackViewer.so 
    
Changes in version 1.27.6

    o add support for .hic and .cool for importGInteraction
    
Changes in version 1.27.5

    o add importGInteraction
    
Changes in version 1.27.4

    o change the re-sample method for viewTracks
    
Changes in version 1.27.3

    o Update documentation.
    o add label_on_feature for lolliplot

Changes in version 1.27.2

    o Fix the bug for pie plot of dandelion.plot when introduce label.parameters.
    
Changes in version 1.27.1

    o Fix the bug that if all scores are greater than 10 and all scores are integer.
    
Changes in version 1.25.4

    o remove http_status from documentation.
    
Changes in version 1.25.4

    o add function to split the lollipop plot into multiLayers.

Changes in version 1.25.3

    o Fix the issue in AddArrowMark that grid changed the unit id.
    
Changes in version 1.25.2

    o Fix the issue if there is interrupt of the internet connection to generate vignette.
    
Changes in version 1.25.1

    o Provide more clearly warning or error message if the input is not sorted or contain NA values.
    
Changes in version 1.23.5

    o remove import plot from graphics.
    
Changes in version 1.23.5

    o replace class function by is function.
    
Changes in version 1.23.4

    o fix a issue of "EXPR must be a length 1 vector".
    
Changes in version 1.23.3

    o fix a issue of vignette when visit ebi proteins api.
    
Changes in version 1.23.2

    o plot multiple genes in one track.
    
Changes in version 1.23.1

    o add interactionData track.
    
Changes in version 1.21.18

    o update NEWS file from "CHANGES IN VERSION" to "Changes in version".
    
Changes in version 1.21.17

    o remove google scholar in vignette.
    
Changes in version 1.21.16

    o Try to avoid the error introduced by BiocStyle: Invalid Parameter - /figure-html.
    
Changes in version 1.21.15

    o Add google scholar in vignette.
    
Changes in version 1.21.14

    o Update the citation in readme file.
    
Changes in version 1.21.13

    o Fix a typo in plotLollipops.
    
Changes in version 1.21.12

    o setTrackXscaleParam accept position attribute.
    
Changes in version 1.21.11

    o set rescale of lolliplot by precentage.
    
Changes in version 1.21.10

    o fix the bug of score is NumericList.
    
Changes in version 1.21.9

    o accept negative values for bigwig files.
    
Changes in version 1.21.8

    o update legend method.
    
Changes in version 1.21.7

    o fix the label label.parameters.gp.
    
Changes in version 1.21.6

    o add sample code of Proteins API.
    
Changes in version 1.21.5

    o fix the bug that lollipop stem is too long.
    
Changes in version 1.21.4

    o add shape for lolliplot.
   
Changes in version 1.21.3

    o add shinyApp video.
    
Changes in version 1.21.2

    o add citation.
    
Changes in version 1.21.1

    o fix the bug if condiction with multiple logical values.
    
Changes in version 1.19.28

    o fit the small size canvas.

Changes in version 1.19.27

    o add safe color theme.
    
Changes in version 1.19.26

    o update author info.
    
Changes in version 1.19.25

    o change save and load name for browseTracks.

Changes in version 1.19.24

    o add save and load for browseTracks.
    o add swith dandelion height method (mean or count) for browseTracks.
    
Changes in version 1.19.23

    o add color picker for pie.stack for browseTracks.
    
Changes in version 1.19.22

    o fix the bug in legend for browseTracks.
    
Changes in version 1.19.21

    o fix the bug of that can not set color for undefined for browseTracks.
    
Changes in version 1.19.20

    o fix the bug of lable is not saved for browseTracks.
    
Changes in version 1.19.19

    o fix the bug of output svg for browseTracks.

Changes in version 1.19.18

    o add rotate 45 in color picker for browseTracks.

Changes in version 1.19.17

    o add apply to all in color picker for browseTracks.

Changes in version 1.19.16

    o fix the grammar in vignettes.
    
Changes in version 1.19.15

    o update vignettes.
    
Changes in version 1.19.14

    o update undo for browseTracks.

Changes in version 1.19.13

    o add undo for browseTracks.

Changes in version 1.19.12

    o add remove all guideline function.

Changes in version 1.19.11

    o fix the fonts bug for export png in browseTracks

Changes in version 1.19.10

    o remove all svgs before browseTracks
    
Changes in version 1.19.9

    o Build shiny output objects for browseTracks
    
Changes in version 1.19.8

    o add dandelion plots to browseTracks
    
Changes in version 1.19.7

    o fix a bug in track class
    o improve one-step visualization for browseTracks
    
Changes in version 1.19.6

    o improve one-step visualization for browseTracks
    o try to avoid the error caused by VariantAnnotation
    
Changes in version 1.19.5

    o improve one-step visualization for browseTracks
    
Changes in version 1.19.4

    o add one-step visualization for browseTracks
    
Changes in version 1.19.3

    o adjust y label position for viewTracks
    
Changes in version 1.19.2

    o adjust legent position for dandelion.plot
    
Changes in version 1.19.1

    o add featureLayerID to dandelion.plot
    
Changes in version 1.17.8

    o fix the bug in figure captions of vignette.
    
Changes in version 1.17.7

    o allow ylim of tracks be not fixed from 0.
    
Changes in version 1.17.6

    o fix a issue of circle in lollipop plot.
    
Changes in version 1.17.4

    o add flag type in lollipop plot.
    
Changes in version 1.17.3

    o adjust plot position for dandelion.plot.
    
Changes in version 1.17.2

    o add Yscales for dandelion.plot.
    
Changes in version 1.17.1

    o add smooth function for tracks.
    
Changes in version 1.15.13

    o add feature.gr parameter to plotGInteractions.
    
Changes in version 1.15.12

    o add new function plotGInteractions.
    
Changes in version 1.15.11

    o update the title
    
Changes in version 1.15.10

    o Change all "class" function to "is" function.
    
Changes in version 1.15.9

    o Add lollipopData to tracks-class.
    
Changes in version 1.15.8

    o Plot lollipop plot with tracks.
    
Changes in version 1.15.7

    o Add new parameter rescale to lolliplot.
    
Changes in version 1.15.6

    o Add new function geneTrack.
    
Changes in version 1.15.5

    o fix the warning in windows documentation.
    
Changes in version 1.15.4

    o fix the warning in windows documentation.

Changes in version 1.15.3

    o fix the position of ylabs in plotOneIdeo.
    
Changes in version 1.15.2

    o fix the bug in addGuideLine and viewTracks when plot tracks with breaks.

Changes in version 1.15.1

    o fix the bug in dandelion.plot
    o use Roxygen2 to generate help documents
    o add new functions: getLocation, viewGene
    
Changes in version 1.13.11

    o fix the bug maxgap could not be less than 0 in findOverlaps

Changes in version 1.13.10

    o fix the bug documentation of ideogramPlot is different from the codes.

Changes in version 1.13.9

    o fix the bug when using findOverlaps, when 'type' is "any", 
    at least one of 'maxgap' and 'minoverlap' must be set to its
    default value


Changes in version 1.13.8

    o automatic set the font size in ideogramPlot
    
Changes in version 1.13.7

    o fix the bug in ideogramPlot when data range is identical for heatmap 
    layout.
    
Changes in version 1.13.6

    o add draggable tracks in browseTracks function

Changes in version 1.13.5

    o add arrow tools in browseTracks function
    
Changes in version 1.13.4

    o add label tools in browseTracks function

Changes in version 1.13.3

    o fix bugs in browseTracks function

Changes in version 1.13.2

    o add more columns to GRoperator function
    o add browseTracks function

Changes in version 1.11.8

    o support break x-axis for viewTracks.

Changes in version 1.11.7

    o improve the ideogramPlot function.
    
Changes in version 1.11.6

    o improve the ideogramPlot function.
    
Changes in version 1.11.5

    o add ideogramPlot function.
    
Changes in version 1.11.4

    o remove the blank bottom space for lolliplot.
    
Changes in version 1.11.3

    o fix a bug when tracks has multiple max values.
    
Changes in version 1.11.2

    o add jitter label only for lolliplot.
    
Changes in version 1.11.1

    o adjust the x postion of lolliplot.

Changes in version 1.9.14

    o add controls for lolliplot yaxis.
    
Changes in version 1.9.13

    o the height of features could be unit object.
    
Changes in version 1.9.12

    o Update the vignette.
    o Fix the position of ylab.
    
Changes in version 1.9.11

    o Add caterpillar layout to lolliplot.
    
Changes in version 1.9.10

    o Fix the bug that if the features is outside of granges for lolliplot.
    
Changes in version 1.9.9

    o Fix the bug that no xscale is drawn when there is no positive value for track 1.
    
Changes in version 1.9.8

    o lolliplot could accept multiple features for one layer.
    
Changes in version 1.9.7

    o lolliplot could accept multiple types for multiple layers.
    
Changes in version 1.9.6

    o fix the bugs for the lolliplot when the last snp need to be jittered.
    
Changes in version 1.9.5

    o fix the bugs in the documentation.
    
Changes in version 1.9.4

    o add pie.stack layout for lolliplot.
    
Changes in version 1.9.3

    o add controls for lolliplot labels.
    
Changes in version 1.9.2

    o update documentation to include the how to set ylim.

Changes in version 1.7.9

    o fix the bug that legend write to outside.
    
Changes in version 1.7.8

    o fix the typo in documentation.
    o update the lollipop plot.

Changes in version 1.7.7

    o add dandelion plot function.
    
Changes in version 1.7.6

    o add legend for lollipop plot.
    
Changes in version 1.7.5

    o add lables in the nodes of lollipop plot.
    
Changes in version 1.7.4

    o Update documentation.
    
Changes in version 1.7.3

    o add Y axis to lollipop plot.

Changes in version 1.7.2

    o add lollipop plot!

Changes in version 1.7.1

    o adjust the fontsize for optimizing styles with theme.
    o add gene symbols if possible for geneModelFromTxdb.
    
Changes in version 1.5.6

    o update documentation.
    o add new feature for optimizing the styles with theme.

Changes in version 1.5.5


+ NEW FEATURES

    o remove interactiveViewer from the package.

+ BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

Changes in version 1.5.4


+ NEW FEATURES

    o parse2GRanges function to parse text into GRanges

+ BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

Changes in version 1.5.3


+ NEW FEATURES

    o export importData function to import data to RleList.

+ BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

Changes in version 1.5.2


+ NEW FEATURES

    o Add GRanges operators: +, -, *, /
    o export parseWIG function.

+ BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

Changes in version 1.3.4


+ NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

+ BUG FIXES

    o improve efficiency of importScore

Changes in version 1.3.3


+ NEW FEATURES

    o could flip the x-axis if needed

+ BUG FIXES

    o improve efficiency of interactiveViewer

Changes in version 1.3.2


+ NEW FEATURES

    o No changes classified as 'new features' (package under active
    development)

+ BUG FIXES

    o fix bugs in importScore when format=="BigWig"

Changes in version 1.3.1


+ NEW FEATURES

    o add new function plotGRanges for quick view GRanges data
    o add ranges when importScore

+ BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)

Changes in version 1.1.1


+ NEW FEATURES

    o addArrowMark with label

+ BUG FIXES

    o No changes classified as 'bug fixes' (package under active
    development)
